New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

"No strategies were able to configure" bpmn-js #872

Closed
pmanu93 opened this Issue Apr 23, 2018 · 2 comments

Comments

Projects
None yet
3 participants
@pmanu93

pmanu93 commented Apr 23, 2018

I'm submitting a bug report

  • Library Version:
    0.33.1

Please tell us about your environment:

  • Operating System:
    Linux Mint 17.3 Rosa

  • Node Version:
    v8.10.0

  • NPM Version:
    5.8.0
  • Language:
    all

  • Loader/bundler:
    RequireJS

Current behavior:

I'm trying to install the "bpmn-js" library using the au install command but returns the following exception:
gist

  • What is the expected behavior?
    As written in the error above, Aurelia CLI should (?) be able to configure the package.

I'm only filling this issue as requested in the error.

Btw, I ended up configuring the library with the following:

{
 "name": "bpmn-js",
 "main": "bpmn-navigated-viewer.production.min",
 "path": "../node_modules/bpmn-js/dist",
 "resources": []
}
@Alexander-Taran

This comment has been minimized.

Show comment
Hide comment
@Alexander-Taran

Alexander-Taran Apr 23, 2018

Member

@pmanu93 thank you for report

Member

Alexander-Taran commented Apr 23, 2018

@pmanu93 thank you for report

@huochunpeng

This comment has been minimized.

Show comment
Hide comment
@huochunpeng
Contributor

huochunpeng commented Aug 1, 2018

huochunpeng added a commit to huochunpeng/cli that referenced this issue Sep 3, 2018

feat: support npm package shipped in native es module
Although Nodejs doesn't support es module by default, webpack supports it. Some npm packages like bpmn-js are shipped in native es module format. They are consumable by webpack but not Nodejs. This feature closes the gap between our built-in bundler and webpack.

closes aurelia#872

huochunpeng added a commit to huochunpeng/cli that referenced this issue Sep 13, 2018

feat: support npm package shipped in native es module
Although Nodejs doesn't support es module by default, webpack supports it. Some npm packages like bpmn-js are shipped in native es module format. They are consumable by webpack but not Nodejs. This feature closes the gap between our built-in bundler and webpack.

closes aurelia#872

huochunpeng added a commit to huochunpeng/cli that referenced this issue Sep 14, 2018

feat(bundler): support npm package shipped in native es module
Although Nodejs doesn't support es module by default, webpack supports it. Some npm packages like bpmn-js are shipped in native es module format. They are consumable by webpack but not Nodejs. This feature closes the gap between our built-in bundler and webpack.

closes aurelia#872

huochunpeng added a commit to huochunpeng/cli that referenced this issue Sep 14, 2018

feat(bundler): support npm package shipped in native es module
Although Nodejs doesn't support es module by default, webpack supports it. Some npm packages like bpmn-js are shipped in native es module format. They are consumable by webpack but not Nodejs. This feature closes the gap between our built-in bundler and webpack.

closes aurelia#872

huochunpeng added a commit to huochunpeng/cli that referenced this issue Sep 25, 2018

feat(bundler): support npm package shipped in native es module
Although Nodejs doesn't support es module by default, webpack supports it. Some npm packages like bpmn-js are shipped in native es module format. They are consumable by webpack but not Nodejs. This feature closes the gap between our built-in bundler and webpack.

closes aurelia#872
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment